# OgreDefaultHardwareBufferManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreHardwareBufferManager.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "OgreHardwareIndexBuffer.h"`

Go to the source code of this file.

## Classes

class | Ogre::DefaultHardwareVertexBuffer
| Specialisation of HardwareVertexBuffer for emulation. More...
class | Ogre::DefaultHardwareIndexBuffer
| Specialisation of HardwareIndexBuffer for emulation. More...
class | Ogre::DefaultHardwareBufferManagerBase
| Specialisation of HardwareBufferManagerBase to emulate hardware buffers. More...
class | Ogre::DefaultHardwareBufferManager
| DefaultHardwareBufferManager as a Singleton. More...

## Namespaces

namespace | Ogre

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09